@import "../../../styles/variables";

.btn {
  position: relative;
  padding: 0;
  overflow: hidden;
  border-width: 0;
  outline: none;
  min-width: 8rem;
  font-size: 1rem;
  font-weight: 600;
  border-radius: 2px;
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.6);
  transition: background-color 0.3s;
  cursor: pointer;
}

.btn > * {
  position: relative;
}

.btn span {
  display: block;
  padding: 0.75rem 1.5rem;
}

.btn:before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  display: block;
  width: 0;
  padding-top: 0;
  border-radius: 100%;
  background-color: rgba(236, 240, 241, 0.3);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.btn:active:before {
  width: 120%;
  padding-top: 120%;
  transition: width 0.2s ease-out, padding-top 0.2s ease-out;
}

.btn.save {
  background-color: $primary-color;
  color: $primary-color-contrast;
}

.btn.save:hover:not(:disabled),
.btn.save:focus {
  background-color: $second-color;
}
.btn.save:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}

.btn.cancel {
  background-color: rgba(0, 0, 0, 0.1);
  color: rgba(0, 0, 0, 0.65);
}

.btn.cancel:hover,
.btn.cancel:focus {
  background-color: rgba(0, 0, 0, 0.15);
}

// .btn.cancel {
//   background-color: #e67e22;
// }

// .btn.cancel:hover,
// .btn.cancel:focus {
//   background-color: #d35400;
// }
